Instance Failover Groups - List By Location
Lists the failover groups in a location.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/locations/{locationName}/instanceFailoverGroups?api-version=2025-01-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
location
|
path | True |
string |
The name of the region where the resource is located. |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
The name of the resource group. The name is case insensitive. |
|
subscription
|
path | True |
string (uuid) |
The ID of the target subscription. The value must be an UUID. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Azure operation completed successfully. |
|
| Other Status Codes |
An unexpected error response. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
List failover group
Sample request
GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default/providers/Microsoft.Sql/locations/Japan East/instanceFailoverGroups?api-version=2025-01-01
Sample response
{
"value": [
{
"name": "failover-group-test",
"type": "Microsoft.Sql/locations/instanceFailoverGroups",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default/providers/Microsoft.Sql/locations/JapanEast/instanceFailoverGroups/failover-group-test",
"properties": {
"managedInstancePairs": [
{
"partnerManagedInstanceId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default/providers/Microsoft.Sql/managedInstances/failover-group-secondary-mngdInstance",
"primaryManagedInstanceId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default/providers/Microsoft.Sql/managedInstances/failover-group-primary-mngdInstance"
}
],
"partnerRegions": [
{
"location": "Japan West",
"replicationRole": "Secondary"
}
],
"readOnlyEndpoint": {
"failoverPolicy": "Disabled"
},
"readWriteEndpoint": {
"failoverPolicy": "Automatic",
"failoverWithDataLossGracePeriodMinutes": 480
},
"replicationRole": "Primary",
"replicationState": "CATCH_UP",
"secondaryType": "Geo"
}
},
{
"name": "failover-group-test-1",
"type": "Microsoft.Sql/locations/instanceFailoverGroups",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default/providers/Microsoft.Sql/locations/JapanEast/instanceFailoverGroups/failover-group-test-1",
"properties": {
"managedInstancePairs": [
{
"partnerManagedInstanceId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default/providers/Microsoft.Sql/managedInstances/failover-group-secondary-mngdInstance-1",
"primaryManagedInstanceId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default/providers/Microsoft.Sql/managedInstances/failover-group-primary-mngdInstance-1"
}
],
"partnerRegions": [
{
"location": "Japan West",
"replicationRole": "Secondary"
}
],
"readOnlyEndpoint": {
"failoverPolicy": "Disabled"
},
"readWriteEndpoint": {
"failoverPolicy": "Automatic",
"failoverWithDataLossGracePeriodMinutes": 480
},
"replicationRole": "Primary",
"replicationState": "CATCH_UP",
"secondaryType": "Geo"
}
}
]
}
Definitions
| Name | Description |
|---|---|
|
created |
The type of identity that created the resource. |
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
|
Error |
Error response |
|
Instance |
An instance failover group. |
|
Instance |
The response of a InstanceFailoverGroup list operation. |
|
Instance |
Read-only endpoint of the failover group instance. |
|
Instance |
Read-write endpoint of the failover group instance. |
|
Instance |
Local replication role of the failover group instance. |
|
Managed |
Pairs of Managed Instances in the failover group. |
|
Partner |
Partner region information for the failover group. |
|
Read |
Failover policy of the read-only endpoint for the failover group. |
|
Read |
Failover policy of the read-write endpoint for the failover group. If failoverPolicy is Automatic then failoverWithDataLossGracePeriodMinutes is required. |
|
Secondary |
Type of the geo-secondary instance. Set 'Standby' if the instance is used as a DR option only. |
|
system |
Metadata pertaining to creation and last modification of the resource. |
createdByType
The type of identity that created the resource.
| Value | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
object |
The additional info. |
| type |
string |
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
ErrorResponse
Error response
| Name | Type | Description |
|---|---|---|
| error |
The error object. |
InstanceFailoverGroup
An instance failover group.
| Name | Type | Description |
|---|---|---|
| id |
string (arm-id) |
Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}" |
| name |
string |
The name of the resource |
| properties.managedInstancePairs |
List of managed instance pairs in the failover group. |
|
| properties.partnerRegions |
Partner region information for the failover group. |
|
| properties.readOnlyEndpoint |
Read-only endpoint of the failover group instance. |
|
| properties.readWriteEndpoint |
Read-write endpoint of the failover group instance. |
|
| properties.replicationRole |
Local replication role of the failover group instance. |
|
| properties.replicationState |
string |
Replication state of the failover group instance. |
| properties.secondaryType |
Type of the geo-secondary instance. Set 'Standby' if the instance is used as a DR option only. |
|
| systemData |
Azure Resource Manager metadata containing createdBy and modifiedBy information. |
|
| type |
string |
The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts" |
InstanceFailoverGroupListResult
The response of a InstanceFailoverGroup list operation.
| Name | Type | Description |
|---|---|---|
| nextLink |
string (uri) |
The link to the next page of items |
| value |
The InstanceFailoverGroup items on this page |
InstanceFailoverGroupReadOnlyEndpoint
Read-only endpoint of the failover group instance.
| Name | Type | Description |
|---|---|---|
| failoverPolicy |
Failover policy of the read-only endpoint for the failover group. |
InstanceFailoverGroupReadWriteEndpoint
Read-write endpoint of the failover group instance.
| Name | Type | Description |
|---|---|---|
| failoverPolicy |
Failover policy of the read-write endpoint for the failover group. If failoverPolicy is Automatic then failoverWithDataLossGracePeriodMinutes is required. |
|
| failoverWithDataLossGracePeriodMinutes |
integer (int32) |
Grace period before failover with data loss is attempted for the read-write endpoint. If failoverPolicy is Automatic then failoverWithDataLossGracePeriodMinutes is required. |
InstanceFailoverGroupReplicationRole
Local replication role of the failover group instance.
| Value | Description |
|---|---|
| Primary |
Primary |
| Secondary |
Secondary |
ManagedInstancePairInfo
Pairs of Managed Instances in the failover group.
| Name | Type | Description |
|---|---|---|
| partnerManagedInstanceId |
string |
Id of Partner Managed Instance in pair. |
| primaryManagedInstanceId |
string |
Id of Primary Managed Instance in pair. |
PartnerRegionInfo
Partner region information for the failover group.
| Name | Type | Description |
|---|---|---|
| location |
string |
Geo location of the partner managed instances. |
| replicationRole |
Replication role of the partner managed instances. |
ReadOnlyEndpointFailoverPolicy
Failover policy of the read-only endpoint for the failover group.
| Value | Description |
|---|---|
| Disabled |
Disabled |
| Enabled |
Enabled |
ReadWriteEndpointFailoverPolicy
Failover policy of the read-write endpoint for the failover group. If failoverPolicy is Automatic then failoverWithDataLossGracePeriodMinutes is required.
| Value | Description |
|---|---|
| Manual |
Manual |
| Automatic |
Automatic |
SecondaryInstanceType
Type of the geo-secondary instance. Set 'Standby' if the instance is used as a DR option only.
| Value | Description |
|---|---|
| Geo |
Geo |
| Standby |
Standby |
systemData
Metadata pertaining to creation and last modification of the resource.
| Name | Type | Description |
|---|---|---|
| createdAt |
string (date-time) |
The timestamp of resource creation (UTC). |
| createdBy |
string |
The identity that created the resource. |
| createdByType |
The type of identity that created the resource. |
|
| lastModifiedAt |
string (date-time) |
The timestamp of resource last modification (UTC) |
| lastModifiedBy |
string |
The identity that last modified the resource. |
| lastModifiedByType |
The type of identity that last modified the resource. |